Rudiments

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
compilermodule Class Reference

Inherited by compilerpostprocessor, compilerpreprocessor, and compilerprocessor.

## Public Member Functions
| compilermodule ()
virtual | ~compilermodule ()
void | setId (const char *id)
bool | setParameters (const char *parameters)
void | setParameters (xmldomnode *parameters)
const char * | getId ()
xmldomnode * | getParameters ()

## Protected Attributes
const char * | id
xmldomnode * | parameters

## Detailed Description

The compilermodule class is a the base class for compilerpreprocessor, compilreprocessor and compilerpostprocessor modules. It just stores the module id and parameters.

## Constructor & Destructor Documentation

compilermodule::compilermodule | ( |  | ) |

Creates a new instance of the compilermodule class.

virtual compilermodule::~compilermodule | ( |  | ) |
| virtual

Deletes this instance of the compilermodule class.

## Member Function Documentation

const char* compilermodule::getId | ( |  | ) |

Returns the id of this instance.

xmldomnode* compilermodule::getParameters | ( |  | ) |

Returns the parameters of this instance.

void compilermodule::setId | ( | const char * | id | ) |

Sets the id of this instance.

bool compilermodule::setParameters | ( | const char * | parameters | ) |

Sets parameters for this instance.

void compilermodule::setParameters | ( | xmldomnode * | parameters | ) |

Sets parameters for this instance.